__CLASS_CREATE(9)

NAME
__class_create - create a struct class structure

SYNOPSIS

struct class * __class_create(struct module * owner, const char * name, struct lock_class_key * key);

ARGUMENTS

owner
    pointer to the module that is to “own” this struct class

name
    pointer to a string for the name of this class.

key
    the lock_class_key for this class; used by mutex lock debugging

DESCRIPTION

This is used to create a struct class pointer that can then be used in calls to device_create.

Returns struct class pointer on success, or ERR_PTR on error.

Note, the pointer created here is to be destroyed when finished by making a call to class_destroy.

COPYRIGHT